{% extends 'base.html.twig' %}

{% block title %}stropaul - Accueil{% endblock %}

{% block body %}
    <div class="header" id="user_buttons">
        <a id="add_sondage" href="{{ path('sondage_new') }}">Créer un sondage</a>
        <a id="logout" href="{{ path('app_logout') }}">Déconnexion</a>
    </div>

    <!-- SONDAGES CARDS DECK -->
    <div>
        <h2 class="account_section" id="first_account_session">Mes sondages publiés</h2>
        <div id="sondages_deck">
            <div class="sondages_deck" id="published_deck">
                {% for sondage in sondages %}
                    {% if sondage.brouillon != 1 %}
                        <!-- SONDAGE CARD -->
                        <a class="sondage" href="{{ path('sondage_show', {'id': sondage.id}) }}">

                            <!-- SONDAGE QUESTION -->
                            <h2>{{ sondage.question }}</h2>

                            <!-- SONDAGE INFORMATIONS -->
                            <p>Date : {{ sondage.date ? sondage.date|date('d/m/Y') : '' }}</p>
                            <p>Auteur : {{ sondage.auteur.prenom}} {{ sondage.auteur.nom }}</p>

                        </a>
                    {%  endif %}
                {% endfor %}
            </div>
        </div>
    </div>

    <h2 class="account_section" >Mes brouillons</h2>
    <div id="sondages_deck">
        <div class="sondages_deck" id="brouillon_deck">
            {% for sondage in sondages %}
                {% if sondage.brouillon == 1 %}
                    <!-- SONDAGE CARD -->
                    <a class="sondage" href="{{ path('sondage_show', {'id': sondage.id}) }}">

                        <!-- SONDAGE QUESTION -->
                        <h2>{{ sondage.question }}</h2>

                        <!-- SONDAGE INFORMATIONS -->
                        <p>Date : {{ sondage.date ? sondage.date|date('d/m/Y') : '' }}</p>
                        <p>Auteur : {{ sondage.auteur.prenom}} {{ sondage.auteur.nom }}</p>

                    </a>
                {% endif %}
            {% endfor %}
        </div>
    </div>

{% endblock %}